Subject: bug#35663: 27.0.50; Eldoc support for apply

From: João Távora <[email-masked]>
Date: Wed, 26 Aug 2020 12:11:52 +0100

Hi,

I think this makes sense. SLY/SLIME for CL do something similar
with #'make-instance, for instance.  As soon as you type the function name
or class name and the autodoc system recognizes it, it switches to the
showing you the args for that function instead.

The patch shouldn't be terribly difficult to adapt, since I've not
significantly
touched the client-side logic (as in clients of eldoc).

I think you can try doing so. I'll keep this on my radar,
João

On Wed, Aug 26, 2020 at 11:32 AM Lars Ingebrigtsen <[email-masked]> wrote:

> Michael Heerdegen <[email-masked]> writes:
>
> > when editing something like
> >
> > (apply #'call-process
> >   (car command)
> >   nil
> >   (if stderr-file (list t stderr-file) t)
> >   nil
> >   (append (cdr command) (list archive name)))
> >
> > eldoc support would be useful to see the argument names of
> > 'call-process' instead of the signature of 'apply'.
>
> Yeah, that would be really nice...  Some people might want to know what
> the signature to apply is, though, but probably a lot fewer.
>
> > @@ -1356,6 +1356,16 @@ elisp-eldoc-documentation-function
> >         ((eq current-symbol (car current-fnsym))
> >          (or (apply #'elisp-get-fnsym-args-string current-fnsym)
> >              (elisp-get-var-docstring current-symbol)))
> > +          ((and (memq (car current-fnsym) '(apply apply-partially))
> > +                (< 1 (cadr current-fnsym))
> > +                (let ((args (save-excursion
>
> [...]
>
> The patch no longer applies, because eldoc has been rewritten
> substantially over the last year.  Is there any interest in resurrecting
> this patch and getting it applied?  I've added João to the Cc.
>
> --
> (domestic pets only, the antidote for overdose, milk.)
>    bloggy blog: http://lars.ingebrigtsen.no
>

-- 
João Távora